# Uses of Interface
org.springframework.expression.TypeLocator

Packages that use TypeLocator
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of TypeLocator in org.springframework.expression

Methods in org.springframework.expression that return TypeLocator
Modifier and Type
Method
Description
`TypeLocator`
EvaluationContext.`getTypeLocator()`
Return a type locator that can be used to find types, either by short or fully qualified name.

## Uses of TypeLocator in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement TypeLocator
Modifier and Type
Class
Description
`class`
`StandardTypeLocator`
A simple implementation of `TypeLocator` that uses the default `ClassLoader` or a supplied `ClassLoader` to locate types.
Methods in org.springframework.expression.spel.support that return TypeLocator
Modifier and Type
Method
Description
`TypeLocator`
SimpleEvaluationContext.`getTypeLocator()`
`SimpleEvaluationContext` does not support use of type references.
`TypeLocator`
StandardEvaluationContext.`getTypeLocator()`
Get the configured `TypeLocator` that will be used to find types, either by short or fully-qualified name.
Methods in org.springframework.expression.spel.support with parameters of type TypeLocator
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setTypeLocator(TypeLocator typeLocator)`
Set the `TypeLocator` to use to find types, either by short or fully-qualified name.